using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Input;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            this.button.PointerEntered += button_PointerEntered;
            this.button.PointerExited  += button_PointerExited;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region ư  Խ óϱ - button_PointerEntered(sender, e)

        /// <summary>
        /// ư  Խ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void button_PointerEntered(object sender, PointerRoutedEventArgs e)
        {
            AnimatedIcon.SetState(this.animatedIcon, "PointerOver");
        }

        #endregion
        #region ư  Ż óϱ - button_PointerExited(sender, e)

        /// <summary>
        /// ư  Ż óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void button_PointerExited(object sender, PointerRoutedEventArgs e)
        {
            AnimatedIcon.SetState(this.animatedIcon, "Normal");
        }

        #endregion
    }
}